#version 460 core

layout(location = 0) out vec4 color;

struct VertexOutput {
    vec4 Tint;
    vec2 TexCoord;
};

layout(location = 0) in VertexOutput Input;

uniform sampler2D texture0;

void main() {
    color = texture(texture0, Input.TexCoord) * Input.Tint;
}
